<script setup lang="ts">
import { useReceipStore } from '@/stores/receipt'

const receiptStore = useReceipStore()
const formatDate = (dateString: any): string => {
  if (!dateString) return ''

  const options: Intl.DateTimeFormatOptions = {
    year: 'numeric',
    month: 'numeric',
    day: 'numeric',
    hour: 'numeric',
    minute: 'numeric'
  }

  const formattedDate = new Date(dateString).toLocaleString('en-US', options)

  return formattedDate
}
</script>

<template>
  <v-dialog v-model="receiptStore.receiptDialog" persistent width="690" height="auto">
    <v-card style="background-color: #fce4ec">
      <v-card-text>
        <v-container>
          <v-row>
            <v-col>
              <v-card-title class="text-h5 text-center"
                >Receipt
                <v-sheet
                  width="140"
                  height="140"
                  elevation="3"
                  cover
                  style="margin-left: auto; margin-right: auto; margin-top: 4%"
                >
                  <v-img
                    src="src\assets\POS\cafe.png"
                    height="200"
                    style="background-color: #fce4ec"
                  ></v-img>
                </v-sheet>
              </v-card-title>
            </v-col>
          </v-row>
          <v-row no-gutters>
            <v-divider style="margin-top: 4%"></v-divider>
            <v-col cols="6">Date</v-col
            ><v-col cols="6">{{ formatDate(receiptStore.receipt?.createdDate) }}</v-col>
            <v-col cols="6">Member</v-col
            ><v-col cols="6">{{
              receiptStore.receipt.memberDiscount === 0 ? '' : receiptStore.receipt?.member?.name
            }}</v-col>
            <v-col cols="12">
              <v-divider></v-divider>
              <v-row>
                <v-col cols="4"><strong>Name</strong></v-col>
                <v-col cols="3"><strong>Quantity</strong></v-col>
                <v-col cols="2"><strong>Price</strong></v-col>
              </v-row>
              <v-row v-for="item in receiptStore.receipt.receiptItems" :key="item.productsId">
                <v-col cols="4">{{ item.name }}</v-col>
                <v-col cols="3">{{ item.unit }}</v-col>
                <v-col cols="2">{{ item.price }}</v-col>
              </v-row>
            </v-col>
            <v-col cols="6">TotalBefore</v-col
            ><v-col cols="6">{{ receiptStore.receipt?.totalBefore }}</v-col>
            <v-col cols="6">MemberDiscount</v-col
            ><v-col cols="6">{{ receiptStore.receipt?.memberDiscount }}</v-col>
            <v-col cols="6">Total</v-col><v-col cols="6">{{ receiptStore.receipt?.total }}</v-col>
            <v-col cols="6">Cash</v-col
            ><v-col cols="6">{{ receiptStore.receipt?.receivedAmount }}</v-col>
            <v-col cols="6">Change</v-col><v-col cols="6">{{ receiptStore.totalChange() }}</v-col>
            <v-col cols="6">Payment</v-col
            ><v-col cols="6">{{ receiptStore.receipt.paymentType }}</v-col>
            <v-divider></v-divider>
          </v-row>
        </v-container>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn
          color="white-darken-1"
          variant="text"
          @click="receiptStore.receiptDialog = false"
          style="background-color: #ffd4e2"
        >
          Close
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
